Skip to main content
GET
/
api
/
v3
/
deposits
Get Deposits
curl --request GET \
  --url https://server.stage.overflow.co/api/v3/deposits \
  --header 'x-api-key: <api-key>' \
  --header 'x-client-id: <api-key>'
{
  "data": [
    {
      "id": "8810f34fd5061afeec3eab67",
      "status": "PAID",
      "type": "AUTOMATED",
      "amountInCents": 125000,
      "arrivalAt": "2026-05-20T00:00:00.000Z",
      "startingBalanceInCents": 0,
      "endingBalanceInCents": 125000,
      "bankName": "Chase",
      "bankLast4": "1234",
      "statementDescriptor": "OVERFLOW PAYOUT",
      "paymentMethodType": [
        "card",
        "ach"
      ],
      "name": "May payout",
      "reconciledAt": null,
      "createdAt": "2026-05-19T00:00:00.000Z",
      "updatedAt": "2026-05-20T00:00:00.000Z",
      "lineItems": [
        {
          "type": "payment",
          "grossValueInCents": 5000,
          "grossFeeValueInCents": 145,
          "referenceId": "6710f34fd5061afeec3eab57",
          "description": "Contribution from John D."
        }
      ]
    }
  ],
  "totalCount": 100
}

Documentation Index

Fetch the complete documentation index at: https://docs.overflow.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-client-id
string
header
required

Client ID for API authentication

x-api-key
string
header
required

API Key for API authentication

Query Parameters

limit
number
default:25

The number of deposits to return.

Required range: 1 <= x <= 100
page
number
default:1

The page number of the deposits to return.

Required range: x >= 1
createdAt
string<date-time>

Filter deposits created on this date.

Example:

"2026-01-15"

startDate
string<date-time>

Filter deposits whose arrival date is on or after this date.

Example:

"2026-01-01"

endDate
string<date-time>

Filter deposits whose arrival date is on or before this date.

Example:

"2026-02-01"

ids
string[]

Filter by deposit ids.

sortBy
string

Field to sort deposits by. Defaults to arrival date.

sortDirection
enum<string>

Sort direction. Defaults to descending.

Available options:
ASC,
DESC

Free-text search across deposit fields.

reconciled
boolean

Filter by reconciliation status.

minimumEstimatedValueInCents

Filter deposits with net amount greater than or equal to this value, in cents.

maximumEstimatedValueInCents

Filter deposits with net amount less than or equal to this value, in cents.

paymentMethod
string[]

Filter by payment method types.

Example:
["card", "ach"]
types
string[]

Filter by deposit types.

Response

200 - application/json
data
object[]
required

List of deposits.

totalCount
number
required

Total number of deposits matching the filters.

Example:

100